Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface AnnotationType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  AnnotationTypeImpl

    public interface AnnotationType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `annotationType` xsd type

Original Documentation:

The annotationType is used to add annotations to a bean class,
method, or field.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getAnnotationClass()` Returns the `annotation-class` element
`java.lang.String` | `getAnnotationImplementationClass()` Returns the `annotation-implementation-class` element
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<AnnotationPropertyType<AnnotationType<T>>>` | `getPropertyList()` Returns all `property` elements
`InjectionTargetType<AnnotationType<T>>` | `injectionTarget()` If not already created, a new `injection-target` element will be created and returned.
`AnnotationPropertyType<AnnotationType<T>>` | `property()` Returns the `property` element
`AnnotationType<T>` | `removeAllDescription()` Removes the `description` element
`AnnotationType<T>` | `removeAllProperty()` Removes all `property` elements
`AnnotationType<T>` | `removeAnnotationClass()` Removes the `annotation-class` element
`AnnotationType<T>` | `removeAnnotationImplementationClass()` Removes the `annotation-implementation-class` element
`AnnotationType<T>` | `removeInjectionTarget()` Removes the `injection-target` element
`AnnotationType<T>` | `setAnnotationClass(java.lang.String annotationClass)` If not already created, a new `annotation-class` element with the given value will be created.
`AnnotationType<T>` | `setAnnotationImplementationClass(java.lang.String annotationImplementationClass)` If not already created, a new `annotation-implementation-class` element with the given value will be created.
`AnnotationType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`AnnotationType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    AnnotationType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `AnnotationType`

### setDescriptionList

    AnnotationType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `AnnotationType`

### removeAllDescription

    AnnotationType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `AnnotationType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setAnnotationClass

    AnnotationType<T> setAnnotationClass(java.lang.String annotationClass)

  If not already created, a new `annotation-class` element with the given value will be created. Otherwise, the existing `annotation-class` element will be updated with the given value.

  Returns:
    the current instance of `AnnotationType`

### removeAnnotationClass

    AnnotationType<T> removeAnnotationClass()

  Removes the `annotation-class` element

  Returns:
    the current instance of `AnnotationType`

### getAnnotationClass

    java.lang.String getAnnotationClass()

  Returns the `annotation-class` element

  Returns:
    the node defined for the element `annotation-class`

### setAnnotationImplementationClass

    AnnotationType<T> setAnnotationImplementationClass(java.lang.String annotationImplementationClass)

  If not already created, a new `annotation-implementation-class` element with the given value will be created. Otherwise, the existing `annotation-implementation-class` element will be updated with the given value.

  Returns:
    the current instance of `AnnotationType`

### removeAnnotationImplementationClass

    AnnotationType<T> removeAnnotationImplementationClass()

  Removes the `annotation-implementation-class` element

  Returns:
    the current instance of `AnnotationType`

### getAnnotationImplementationClass

    java.lang.String getAnnotationImplementationClass()

  Returns the `annotation-implementation-class` element

  Returns:
    the node defined for the element `annotation-implementation-class`

### removeInjectionTarget

    AnnotationType<T> removeInjectionTarget()

  Removes the `injection-target` element

  Returns:
    the current instance of `AnnotationType`

### injectionTarget

    InjectionTargetType<AnnotationType<T>> injectionTarget()

  If not already created, a new `injection-target` element will be created and returned. Otherwise, the existing `injection-target` element will be returned.

  Returns:
    the node defined for the element `injection-target`

### removeAllProperty

    AnnotationType<T> removeAllProperty()

  Removes all `property` elements

  Returns:
    the current instance of `AnnotationType`

### property

    AnnotationPropertyType<AnnotationType<T>> property()

  Returns the `property` element

  Returns:
    the node defined for the element `property`

### getPropertyList

    java.util.List<AnnotationPropertyType<AnnotationType<T>>> getPropertyList()

  Returns all `property` elements

  Returns:
    list of `property`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD